GETPID(2)

NAME
getpid, getppid - get parent or calling process identification

SYNOPSIS
#include <unistd.h>
pid_t
getpid(void);
pid_t
getppid(void);

DESCRIPTION
getpid() returns the process ID of the calling process. Though the ID is guaranteed to be unique, it should NOT be used for constructing temporary file names; see mkstemp(3) instead.

getppid() returns the process ID of the parent of the calling process.

RETURN VALUES
These functions are always successful, and no return value is reserved to indicate an error.

SEE ALSO
gethostid(3)

STANDARDS
getpid() and getppid() conform to p1003.1-2008.

HISTORY
The getpid() system call first appeared in AT&T UNIX. The getppid() function appeared in AT&T UNIX.